import { SimpleChanges, Renderer2, AfterViewInit, ElementRef, OnChanges, OnDestroy } from '@angular/core';
import { NgxGaugeLabel, NgxGaugeValue, NgxGaugePrepend, NgxGaugeAppend } from './gauge-directives';
import * as i0 from "@angular/core";
export declare type NgxGaugeType = 'full' | 'arch' | 'semi';
export declare type NgxGaugeCap = 'round' | 'butt';
export declare class NgxGauge implements AfterViewInit, OnChanges, OnDestroy {
    private _elementRef;
    private _renderer;
    _canvas: ElementRef;
    _label: ElementRef;
    _reading: ElementRef;
    _labelChild: NgxGaugeLabel;
    _prependChild: NgxGaugePrepend;
    _appendChild: NgxGaugeAppend;
    _valueDisplayChild: NgxGaugeValue;
    private _size;
    private _min;
    private _max;
    private _animate;
    private _initialized;
    private _context;
    private _animationRequestID;
    ariaLabel: string;
    ariaLabelledby: string | null;
    get size(): number;
    set size(value: number);
    get min(): number;
    set min(value: number);
    get animate(): boolean;
    set animate(value: boolean);
    get max(): number;
    set max(value: number);
    type: NgxGaugeType;
    cap: NgxGaugeCap;
    thick: number;
    label: string;
    append: string;
    prepend: string;
    foregroundColor: string;
    backgroundColor: string;
    thresholds: Object;
    private _value;
    get value(): number;
    set value(val: number);
    duration: number;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    private _updateSize;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private _getBounds;
    private _drawShell;
    private _clear;
    private _getWidth;
    private _getHeight;
    private _getCanvasHeight;
    private _getRadius;
    private _getCenter;
    private _init;
    private _destroy;
    private _setupStyles;
    private _getForegroundColorByRange;
    private _create;
    private _update;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGauge, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxGauge, "ngx-gauge", never, { "ariaLabel": "aria-label"; "ariaLabelledby": "aria-labelledby"; "size": "size"; "min": "min"; "animate": "animate"; "max": "max"; "type": "type"; "cap": "cap"; "thick": "thick"; "label": "label"; "append": "append"; "prepend": "prepend"; "foregroundColor": "foregroundColor"; "backgroundColor": "backgroundColor"; "thresholds": "thresholds"; "value": "value"; "duration": "duration"; }, {}, ["_labelChild", "_prependChild", "_appendChild", "_valueDisplayChild"], ["ngx-gauge-prepend", "ngx-gauge-value", "ngx-gauge-append", "ngx-gauge-label"]>;
}
